// Versie 1

public class Doolhof {
  private final int RIJEN = 6, KOLOMMEN = 9;
  private Veld[][] bord;
  
  public Doolhof() {
    bord = new Veld[ RIJEN ][ KOLOMMEN ];
    for( int r = 0; r < RIJEN; r++ ) {
      for( int k = 0; k < KOLOMMEN; k++ ) {
        bord[ r ][ k ] = new Veld();
        if( r == 0 || r == RIJEN - 1 || k == 0 || k == KOLOMMEN -1 )
          bord[r][k].setMuur();
      }
    }
    bord[2][1].setSpeler( true );
    bord[2][2].setKist( true );
    bord[2][4].setEindveld();
  }
  
  public Veld[][] getBord() {
    return bord;
  }
}
