// Kubus1 console-applicatie
// Inlezen zijde van kubus
// Berekening inhoud en oppervlakte van een kubus

import java.io.*;

class KubusApplicatie1 {
  public static void main( String[] args ) {
    BufferedReader toetsenbord = 
      new BufferedReader(
        new InputStreamReader( System.in )
    );

    System.out.print( "Geef de zijde van de kubus: ");
    try {
      String s = toetsenbord.readLine();
      double zijde = Double.parseDouble( s );

      double inhoud = zijde * zijde * zijde;
      System.out.println( "Inhoud = " + inhoud );

      double oppervlakte = 6 * zijde * zijde;
      System.out.println( "Oppervlakte = " + oppervlakte );
    }
    catch( IOException e ) {
      System.out.println( "Fout bij lezen van toetsenbord" );
    }
    catch( NumberFormatException e ) {
      System.out.println( "Fout in ingevoerde getal" );
    }
  }
}
