import javax.swing.*;
import java.awt.event.*;

class Controller extends KeyAdapter {
  private Doolhof doolhof;
  
  public Controller( Doolhof doolhof ) {
    this.doolhof = doolhof;
    DoolhofView view = new DoolhofView();
    view.update( doolhof, null );
    doolhof.addObserver( view );
    
    JFrame frame = new SokobanApplicatie1( view );
    frame.addKeyListener( this );

  }
  
  public void keyPressed( KeyEvent e ) {
    int keyCode = e.getKeyCode();
    switch( keyCode ) {
      case KeyEvent.VK_UP:    doolhof.doeZet( Richting.NOORD );
                              break;
      case KeyEvent.VK_DOWN:  doolhof.doeZet( Richting.ZUID );
                              break;
      case KeyEvent.VK_RIGHT: doolhof.doeZet( Richting.OOST );
                              break;
      case KeyEvent.VK_LEFT:  doolhof.doeZet( Richting.WEST );
                              break;
      
    }
  }
}
	