public class CommandProcessor {
  private Command command;
  
  public void execute( Command command ) {
    // Sla de opdracht op
    this.command = command;
    // Voer de opdracht uit
    command.execute();
  }
  
  public void undo() {
    if( command != null ) {
      // Maak opgeslagen opdracht ongedaan 
      // en verwijder hem
      command.undo();
      command = null;
    }
  }
}
