import java.util.*;

public class CommandProcessor {
  private Stack<Command> stack;
  
  public CommandProcessor() {
    stack = new Stack<Command>();
  }
  
  public void execute( Command command ) {
    command.execute();
    stack.push( command );
  }
  
  public void undo() {
    if( !stack.isEmpty() ) {
      Command command = stack.pop();
      command.undo();
    }
  }
}