
class SpeelbordFabriek {
  private static String[] basisbord = {
    "MMMMMMMMMMMMMMMMMMM",
    "MMMMM   MMMMMMMMMMM",
    "MMMMMK  MMMMMMMMMMM",
    "MMMMM  KMMMMMMMMMMM",
    "MMM  K K MMMMMMMMMM",
    "MMM M MM MMMMMMMMMM",
    "M   M MM MMMMM  EEM",
    "M K  K          EEM",
    "MMMMM MMM MSMM  EEM",
    "MMMMM     MMMMMMMMM",
    "MMMMMMMMMMMMMMMMMMM"
  };


  static Veld[][] createBord() {
    int RIJEN = basisbord.length;
    int KOLOMMEN = basisbord[ 0 ].length();
    Veld[][] bord = new Veld[ RIJEN ][ KOLOMMEN ];

    for( int r = 0; r < RIJEN; r++ ) {
      String s = basisbord[ r ];
      for( int k = 0; k < KOLOMMEN; k++ ) {
        Veld veld = bord[ r ][ k ] = new Veld( r, k );
        char ch = s.charAt( k );
        switch( ch )  {
          case 'M' : veld.setMuur(); break;
          case 'K' : veld.setKist( true ); break;
          case 'S' : veld.setSpeler( true ); break;
          case 'E' : veld.setEindveld(); break;
          case ' ' : break;
          default: System.out.println( "Fout in invoer basisbord: " + ch );
        }
      }
    }
    return bord;
  }
}
	