
public class VerplaatsCommand implements Command {
  private Doolhof doolhof;
  private Memento memento;
  
  public VerplaatsCommand( Doolhof doolhof, Richting richting ) {
    this.doolhof = doolhof;
    memento = doolhof.getMemento( richting );
  }
    
  public void execute() {
    if( memento.kanSpelerVerplaatsen() )
      doolhof.doeZet( memento );
  }
  
  public void undo() {
    if( memento.kanSpelerVerplaatsen() )
      doolhof.zetTerug( memento );
  }
}
	