// Tekstbestand lezen met BufferedReader en FileReader
import java.io.*;

public class TekstbestandLezen {
  public static void main( String[] args ) {
    try {  
      BufferedReader in = 
            new BufferedReader( new FileReader( "C:\\Temp\\test.txt" ) );
            
      String regel;
      while( ( regel = in.readLine() ) != null ) {
        System.out.println( regel );
      }
      
      in.close();
    }
    catch( FileNotFoundException e ) {
      System.out.println( "Kan bestand niet vinden" );
    }
    catch( IOException e ) {
      System.out.println( "Fout bij het lezen of sluiten bestand" );
      e.printStackTrace();
    }
  }
}
