/**
 * @(#)KatHond.java
 *
 * Voor hoofdstuk 4
 *
 * @author Gertjan Laan
 * @version 1.00 06/01/23
 */
 
import java.awt.*;
import java.applet.*;
import java.util.*;

public class KatHond2 extends Applet {
  private Kat kat;
  private Hond hond;
  
  public void init() {
    kat = new Kat( "Minoes" );
    hond = new Hond( "Bello" );
    kat.maakGeluid();
    hond.maakGeluid();
    
/*    Huisdier dier = new Hond( "Lassie" );
    dier.maakGeluid();
    ( (Hond) dier ).kwispel();
*/    
    
    ArrayList<Huisdier> dierenlijst = new ArrayList<Huisdier>();
    dierenlijst.add( new Kat( "Minoes" ) );
    dierenlijst.add( new Hond( "Bello" ) );
    dierenlijst.add( new Hond( "Lassie" ) );
    dierenlijst.add( new Kat( "Garfield" ) );

    for( Huisdier dier : dierenlijst ) {
      System.out.print( dier.getNaam() + " zegt " );
      dier.maakGeluid();
    }
      
  }

  public void paint(Graphics g) {
    g.drawString( "Kat en Hond", 50, 60 );
  }
}

