/**
 * @(#)Test.java
 *
 * Sample Applet application
 *
 * @author 
 * @version 1.00 06/01/17
 */
 
import java.awt.*;
import java.applet.*;
import java.util.*;

public class Test extends Applet {
	
	public void init() {
	   LinkedList lijst = new LinkedList();
	   lijst.add( new Integer( 1 ) );
     lijst.add( new Integer( 2 ) );
     System.out.print( "Lijst = " );
     System.out.println( lijst );
     
     //Integer[] arr = new Integer[ 2 ];
     int[] arr = new int[ 2 ];
     lijst.toArray( arr );
     for( int i : arr ) {
       System.out.println( i );
     }
     
	   
	 
	  Team t = new Team( new Speler( "Ana" ), new Speler( "GJ" ) );
	  t.print();
	   Date d = new Date();
	   System.out.println( d );
	 
	  A[] obj = new A[ 3 ];
	  obj[ 0 ] = new A( 1 );
    obj[ 1 ] = new B( 20 );
    obj[ 2 ] = new C( 300 );
    
    for( int i = 0; i < 3; i++ ) {
      A a = obj[ i ];
      if( a.isVariabel() ) {
        C c = (C) a;
        System.out.println( c.getDrieKeerX() );
      }
    }
	}

	public void paint(Graphics g) {
		g.drawString("Welcome to Java!!", 50, 60 );
	}
}


class A {
  private boolean variabel;
  private int x;
  
  public A( int x ) {
    this.x = x;
  }
  
  public int getX() {
    return x;
  }
  
  public void setVariabel( boolean variabel ) {
    this.variabel = variabel;
  }
  
  public boolean isVariabel() {
    return variabel;
  }
}

class B extends A {
  public B( int x ) {
    super( x );
    setVariabel( false );
  }
}

class C extends A {
  
  public C( int x ) {
    super( x );
    setVariabel( true );
  }
  
  public int getDrieKeerX() {
    return 3*getX();
  }
}



 class Team {
  private ArrayList<Speler> spelerslijst = new ArrayList<Speler>();
  private String teamnaam;

  public Team( Speler s1, Speler s2 ) {
    spelerslijst.add( s1 );
    spelerslijst.add( s2 );
  }

  public void voegtoe( Speler s ) {
    spelerslijst.add( s );
  }  
  
  public void print() {
    for( Speler s : spelerslijst ) {
      System.out.println( s );
    }
  }
}


 class Speler {
  private String naam;
  
  public Speler( String naam ) {
    this.naam = naam;
  }
  
  public String toString() {
    return naam;
  }
}
