// Sokoban versie 2

public class Doolhof {
  private Veld[][] bord;
  private int aantalRijen, aantalKolommen;
  private Veld spelerveld;
  
  public Doolhof( Veld[][] bord ) {
    this.bord = bord;
    // Leg de afmetingen van het bord vast
    aantalRijen = bord.length;
    aantalKolommen = bord[ 0 ].length;
    
    // Bepaal het veld waarop de speler staat
    for( int r = 0; r < aantalRijen; r++ ) {
      for( int k = 0; k < aantalKolommen; k++ )
        if( bord[r][k].heeftSpeler() )
          spelerveld = bord[r][k];
    }
  }
  
  public Veld[][] getBord() {
    return bord;
  }
  
  public Positie getSpelerpositie() {
    return spelerveld.getPositie();
  }
}
