// Versie 6

/*
 * In deze versie:
 * Pas de refactoring toe, dwz introduceer de methode verplaatsSpeler() en 
 * doe de tests opnieuw
 
 *Het spel kan in de vorige versie nog niet zelf ontdekken of het klaar is
 *Dus schrijf een testmethode testIsKlaar() 
 *met assertTrue( isKlaar() ) als je de speler twee keer naar het oosten
 *verplaatst zodat de kist op het eindveld komt
 *
 *
 **/
  
  
public class Doolhof {
  private Veld[][] bord;
  private int aantalRijen, aantalKolommen;
  private Veld spelerveld;
  
  public Doolhof( Veld[][] bord ) {
    this.bord = bord;
    // Leg de afmetingen van het bord vast
    aantalRijen = bord.length;
    aantalKolommen = bord[ 0 ].length;
    // Bepaal het veld waarop de speler staat
    for( int r = 0; r < aantalRijen; r++ ) {
      for( int k = 0; k < aantalKolommen; k++ )
        if( bord[r][k].heeftSpeler() )
          spelerveld = bord[r][k];
    }
  }
  
  public Veld[][] getBord() {
    return bord;
  }
  
  public Positie getSpelerpositie() {
    return spelerveld.getPositie();
  }
  
  public Veld getVeld( Positie pos ) {
    return bord[ pos.getR() ][ pos.getK() ];
  }
  
  /*public void doeZet( Richting richting ) {
    Veld buurveld = getVeld( spelerveld.getBuurpositie( richting ) );
    if( buurveld.isLeeg() ) {
      verplaatsSpeler( buurveld );
    }
    else
    if( buurveld.heeftKist() ) {
      Veld buurveldVanKist = getVeld( buurveld.getBuurpositie( richting ) );
      if( buurveldVanKist.isLeeg() ) {
        // Verplaats de kist
        buurveld.setKist( false );
        buurveldVanKist.setKist( true );
        
        verplaatsSpeler( buurveld );
      }
    }
  }
  */
  public boolean isSpelKlaar() {
    for( int r = 0; r < aantalRijen; r++ ) {
      for( int k = 0; k < aantalKolommen; k++ ) {
        Veld veld = bord[r][k];
        if( veld.isEindveld() && !veld.heeftKist() )
          return false;
      }
    }
    return true;    
  }

  private void verplaatsSpeler( Veld naarVeld ) {
    spelerveld.setSpeler( false );
    naarVeld.setSpeler( true );
    spelerveld = naarVeld;
  }
}
