/**
 * SokobanApplicatie2
 * Met Memento en 1 niveau van undo 
 * Actions voor toetsenafhandeling
 * @author Gertjan Laan
 * @version 1.00 06/07/17
 */
 
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class SokobanApplicatie2 extends JFrame {
  public SokobanApplicatie2( JPanel view ) {
    setContentPane( view );
    setBounds( 400, 400, 480, 320 );
    setTitle( "SokobanApplicatie 2" );
    setDefaultCloseOperation( EXIT_ON_CLOSE );
    setVisible( true );
  }
   
  public static void main( String[] args ) {
    Veld[][] bord = SpeelbordFabriek.createBord();
    Doolhof doolhof = new Doolhof( bord );
    new Controller( doolhof );
  }
}

