import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

class DoolhofView extends JPanel implements Observer {
  private Veld[][] bord;
  
  public void update( Observable o, Object arg ) {
    Doolhof doolhof = (Doolhof) o;
    bord = doolhof.getBord();
    repaint();
  }
  
  public void paintComponent( Graphics g ) {
    super.paintComponent( g );
    int y = 50;
    g.setFont( new Font( "MonoSpaced", Font.BOLD, 20 ) );
    for( int r = 0; r < bord.length; r++ ) {
      int x = 50;
      for( int k = 0; k < bord[ 0 ].length; k++ ) {
        Veld veld = bord[ r ][ k ];
        int xS = x + 3;
        int yS = y - 3;
        g.setColor( Color.LIGHT_GRAY );
        g.drawRect( x, y - 20, 20, 20 );
        
        if( veld.isMuur() ) {
          g.setColor( Color.DARK_GRAY );
          g.fillRect( x, y - 20, 20, 20 );
        }  
        else if( veld.isEindveld() ) {
          g.setColor( Color.GREEN );
          g.fillRect( x, y - 20, 20, 20 );
          
        }
        
        if( veld.heeftKist() ) { 
          g.setColor( Color.BLACK );
          g.drawString( "K ", xS, yS );
        }
        else if( veld.heeftSpeler() ) {
          g.setColor( Color.RED );
          g.drawString( "S", xS, yS );
        }
        x += 20;
      }
      y += 20;  
    }
  }
}
	