public class Memento {
  private Richting richting;
  private boolean kanSpelerVerplaatsen;
  private boolean kanKistVerplaatsen;
  
  public Memento( Richting richting, boolean kanSpelerVerplaatsen, boolean kanKistVerplaatsen ) {
    this.richting = richting;
    this.kanSpelerVerplaatsen = kanSpelerVerplaatsen;
    this.kanKistVerplaatsen = kanKistVerplaatsen;
  }
  
  public Richting getRichting() {
    return richting;
  }
  
  public Richting getTegenovergestelde() {
    Richting tegenover = null;
    switch( richting ) {
      case NOORD : tegenover = Richting.ZUID;  break;
      case OOST  : tegenover = Richting.WEST;  break;
      case ZUID  : tegenover = Richting.NOORD; break;
      case WEST  : tegenover = Richting.OOST;  break;
    }
    return tegenover;
  }
  
  public boolean kanSpelerVerplaatsen() {
    return kanSpelerVerplaatsen;
  }
  
  public boolean kanKistVerplaatsen() {
    return kanKistVerplaatsen;
  }
}